/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.Size;

import net.northking.cctp.common.db.POJO;
import net.northking.cctp.common.db.Partition;

import java.util.Date;


/**
 * 自动化用例设计同步表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2022-11-25 11:15:19  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "自动化用例设计同步表")
public class DwAtuCaseDesign extends Partition implements POJO
{
  public static final String KEY_id = "id";
  public static final String KEY_tenantId = "tenantId";
  public static final String KEY_projectId = "projectId";
  public static final String KEY_createdTime = "createdTime";
  public static final String KEY_createdBy = "createdBy";
  public static final String KEY_caseName = "caseName";
  public static final String KEY_caseNo = "caseNo";
  public static final String KEY_caseType = "caseType";
  public static final String KEY_isDelete = "isDelete";

  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 32, message="-id: 数据长度不能 > 32" )
  private String id;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 32, message="-tenantId: 数据长度不能 > 32" )
  private String tenantId;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 32, message="-projectId: 数据长度不能 > 32" )
  private String projectId;
  /**
   * <br>
   */
  @ApiModelProperty("")
  private Date createdTime;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 50, message="-createdBy: 数据长度不能 > 50" )
  private String createdBy;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 50, message="-caseName: 数据长度不能 > 50" )
  private String caseName;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 50, message="-caseNo: 数据长度不能 > 50" )
  private String caseNo;
  /**
   * <br>
   */
  @ApiModelProperty("")
  private Integer caseType;
  /**
   * <br>
   */
  @ApiModelProperty("")
  private Integer isDelete;

  /**
   * <br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * <br>
   *
   * @param id 
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * <br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * <br>
   *
   * @param tenantId 
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }
  /**
   * <br>
   */
  public String getProjectId()
  {
      return projectId;
    }

  /**
   * <br>
   *
   * @param projectId 
   */
  public void setProjectId(String projectId)
  {
      this.projectId = projectId;
    }
  /**
   * <br>
   */
  public Date getCreatedTime()
  {
      if(createdTime != null)
    {
      return (Date)createdTime.clone();
    }
    return null;
    }

  /**
   * <br>
   *
   * @param createdTime 
   */
  public void setCreatedTime(Date createdTime)
  {
      if(createdTime != null)
    {
      this.createdTime = (Date)createdTime.clone();
    }
    }
  /**
   * <br>
   */
  public String getCreatedBy()
  {
      return createdBy;
    }

  /**
   * <br>
   *
   * @param createdBy 
   */
  public void setCreatedBy(String createdBy)
  {
      this.createdBy = createdBy;
    }
  /**
   * <br>
   */
  public String getCaseName()
  {
      return caseName;
    }

  /**
   * <br>
   *
   * @param caseName 
   */
  public void setCaseName(String caseName)
  {
      this.caseName = caseName;
    }
  /**
   * <br>
   */
  public String getCaseNo()
  {
      return caseNo;
    }

  /**
   * <br>
   *
   * @param caseNo 
   */
  public void setCaseNo(String caseNo)
  {
      this.caseNo = caseNo;
    }
  /**
   * <br>
   */
  public Integer getCaseType()
  {
      return caseType;
    }

  /**
   * <br>
   *
   * @param caseType 
   */
  public void setCaseType(Integer caseType)
  {
      this.caseType = caseType;
    }
  /**
   * <br>
   */
  public Integer getIsDelete()
  {
      return isDelete;
    }

  /**
   * <br>
   *
   * @param isDelete 
   */
  public void setIsDelete(Integer isDelete)
  {
      this.isDelete = isDelete;
    }

  public DwAtuCaseDesign()
  {
  }

}
